<?
	require_once("user__check.php");

	$cid=floor($id);

	// 检查脚本是否存在	
	if(!is_file($path["root"]."code/data/".$uid."/".$cid.".js")){
		show_msg("代码脚本文件尚未生成，请编辑代码生成代码文件后再重新获取。","-1");
	}
	else{
?>
<fieldset>代码获取</fieldset>

<textarea id="code" onmouseover="this.focus();this.select();" onmousedown="copyText(this)" style="height:66px;overflow:hidden;" readonly>

<script language="javascript" src="<?=$path["host"];?>code/data/<?=$uid;?>/<?=$cid;?>.js"></script>
<script language="javascript" src="<?=$path["host"];?>code/data/common.js"></script>	

</textarea>

<fieldset>代码预览</fieldset>

<div id="preview">
	<script language="javascript" src="<?=$path["host"];?>code/data/<?=$uid;?>/<?=$cid;?>.js"></script>
	<script language="javascript" src="<?=$path["host"];?>code/data/common.js"></script>	
</div>

<div id="toolbar">
	<button class="b1" onclick="go('')">返回方案列表</button>
</div>

<script language="javascript">
<!--//
function copyText(obj)
{
	obj.focus();
	obj.select();
	rgn=obj.createTextRange();
	rgn.execCommand("Copy");
	alert("代码已经复制到剪贴板，现在只需粘贴到你的网页中即可。");
}
//-->
</script>
<?
	}		
?>